## net.sourceforge.pmd.sourcetypehandlers
Interface SourceTypeHandler

All Known Implementing Classes:
  JavaTypeHandler, JspTypeHandler

public interface SourceTypeHandler

Interface for obtaining the classes necessary for checking source files of a specific language.

Author:
  pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

Method Summary
`VisitorStarter` `getDataFlowFacade()` Get the DataFlowFacade.
`Parser` `getParser()` Get the Parser.
`VisitorStarter` `getSymbolFacade()` Get the SymbolFacade.

Method Detail

### getParser

    public Parser getParser()

  Get the Parser.

  Returns:

### getDataFlowFacade

    public VisitorStarter getDataFlowFacade()

  Get the DataFlowFacade.

  Returns:

### getSymbolFacade

    public VisitorStarter getSymbolFacade()

  Get the SymbolFacade.

  Returns:

Copyright © 2002-2006 InfoEther. All Rights Reserved.